Returns locations for the specified country.

GEThttps://api.awork.com/api/v1/absenceregions/countries/{countryCode}/locations
GET https://api.awork.com/api/v1/absenceregions/countries/{countryCode}/locations

Returns the country's locations as ISO 3166-2 codes, including regions and subregions when available. An unsupported country code returns not found.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

countryCodestringRequired

The country code.

Responses

200 OK

application/json

codestring or nullOptional

The ISO-3166-2 location code.

namestring or nullOptional

The name of the location.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation